--- title: "Request purge" slug: "purge-request" tags: ["Global Edge"] updated: 2026-10-08T04:17:08Z published: 2026-10-08T04:17:08Z canonical: "api.ncloud-docs.com/purge-request" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Request purge Available in Classic and VPC Run a purge job. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/purge | ### Request headers For information about the request headers common to all Global Edge APIs, see [Global Edge request headers](/docs/en/edge-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `edgeId` | Long | Required | Edge ID - See [Get edge list](/docs/en/edge-listing). | | `purgeType` | String | Required | Purge type - `ALL` \| `DIRECTORY` \| `PATTERN` \| `URL` - `ALL`: Purge all. - `DIRECTORY`: Purge by directory. - `PATTERN`: Purge by directory and file extension. - `URL`: Purge by individual file. | | `purgeTarget` | Array | Conditional | Purge target list - Enter according to the selected `purgeType`. - ALL: Omit field. - DIRECTORY: Starts with `/`, ends with `/*`. - Example: `/src/images/*` - PATTERN: Starts with `/`, ends with `*.abc` extension - Example: `/static/*.png`, `/static/images/*.css` - URL: Starts with `/`, can't use wildcard (`*`). - Example: `/src/css/main.css?version=2024` | Note If the edge's service area is global, the job time varies for each type of purge. - ALL, DIRECTORY, and PATTERN purge jobs can take about 40 minutes. - URL-based purge jobs are processed quickly. ### Request example The request example is as follows: ``` curl --location --request POST 'https://edge.apigw.ntruss.com/api/v1/purge' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "edgeId": 11197, "purgeType": "DIRECTORY", "purgeTarget": [ "/src/images/*", "/static/thumbs/*" ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Response message | | `result` | Array | - | Purge request ID - Required when querying purge history | ### Response status codes For information about the response status codes common to all Global Edge APIs, see [Global Edge response status codes](/docs/en/edge-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "0000", "message": "Success", "result": [ 372**** ] } ```